TKN-HUB-SEARCH(1)

NAME

tkn-hub-search - Search resource by a combination of name, kind, categories, platforms, and tags

SYNOPSIS

tkn hub search

DESCRIPTION

Search resource by a combination of name, kind, categories, platforms, and tags

OPTIONS

--categories=[]
    Accepts a comma separated list of categories

-h, --help[=false]
    help for search

--kinds=[]
    Accepts a comma separated list of kinds

-l, --limit=0
    Max number of resources to fetch

--match="contains"
    Accept type of search. 'exact' or 'contains'.

-o, --output="table"
    Accepts output format: [table, json, wide]

--platforms=[]
    Accepts a comma separated list of platforms

--tags=[]
    Accepts a comma separated list of tags

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

EXAMPLE

Search a resource of name 'foo':

    tkn hub search foo

or

Search resources using tag 'cli':

    tkn hub search --tags cli

SEE ALSO

tkn-hub(1)